Index: ss7.c
===================================================================
--- ss7.c	(revision 84)
+++ ss7.c	(working copy)
@@ -73,12 +73,12 @@
 void ss7_dump_buf(struct ss7 *ss7, unsigned char *buf, int len)
 {
 	int i;
+	char tmp[1024];
 
-	ss7_message(ss7, "Len = %d [ ", len);
 	for (i = 0; i < len; i++) {
-		ss7_message(ss7, "%02x ", buf[i]);
+		snprintf(&tmp[3*i], sizeof(tmp)-3*i, "%02x ", buf[i]);	/* &tmp[3*i] - for speed optimization, don't change format! */
 	}
-	ss7_message(ss7, "]\n");
+	ss7_message(ss7, "Len = %d [ %s]\n", len, tmp);
 }
 
 void ss7_msg_free(struct ss7_msg *m)
